package sun.applet;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectStreamClass;
import java.io.StreamCorruptedException;

class AppletObjectInputStream extends ObjectInputStream {
   private AppletClassLoader loader;

   public AppletObjectInputStream(InputStream var1, AppletClassLoader var2) throws IOException, StreamCorruptedException {
      super(var1);
      if (var2 == null) {
         throw new AppletIllegalArgumentException("appletillegalargumentexception.objectinputstream");
      } else {
         this.loader = var2;
      }
   }

   protected Class resolveClass(ObjectStreamClass var1) throws IOException, ClassNotFoundException {
      String var2 = var1.getName();
      return this.loader.loadClass(var2);
   }
}
