package sun.applet;

import java.awt.Button;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Event;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.TextArea;
import java.awt.TextComponent;
import java.awt.Toolkit;
import java.awt.Window;
import java.io.BufferedReader;
import java.io.CharArrayWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Properties;

class AppletCopyright extends Frame {
   private static AppletMessageHandler amh = new AppletMessageHandler("appletcopyright");

   AppletCopyright() {
      ((Frame)this).setTitle(amh.getMessage("title"));
      Panel var1 = new Panel();
      Dimension var2 = Toolkit.getDefaultToolkit().getScreenSize();
      TextArea var3 = new TextArea(var2.height / 2 / 12, var2.width / 2 / 7);
      ((TextComponent)var3).setEditable(false);
      ((TextComponent)var3).setText(this.load());
      ((Component)var3).setFont(new Font("Serif", 1, 12));
      ((Container)var1).add(new Button(amh.getMessage("button.accept")));
      ((Container)var1).add(new Button(amh.getMessage("button.reject")));
      ((Container)this).add("Center", var3);
      ((Container)this).add("South", var1);
      ((Window)this).pack();
      Dimension var4 = ((Component)this).size();
      Dimension var5 = ((Window)this).getToolkit().getScreenSize();
      ((Component)this).move((var5.width - var4.width) / 2, (var5.height - var4.height) / 2);
      ((Window)this).show();
   }

   String load() {
      String var1 = System.getProperty("java.home");
      String var2 = System.getProperty("file.separator");
      String var3 = amh.getMessage("copyrightfile");
      String var4 = Locale.getDefault().getLanguage();
      File var5 = new File(var1 + var2 + var4 + var2 + var3);
      if (!var5.canRead()) {
         var5 = new File(var1 + var2 + var3);
      }

      try {
         if (var5.canRead()) {
            String var6 = amh.getMessage("copyrightencoding");
            InputStreamReader var7 = new InputStreamReader(new FileInputStream(var5), var6);
            BufferedReader var8 = new BufferedReader(var7);
            CharArrayWriter var9 = new CharArrayWriter();
            char[] var10 = new char[256];

            int var11;
            while((var11 = var8.read(var10, 0, var10.length)) >= 0) {
               var9.write(var10, 0, var11);
            }

            var8.close();
            return var9.toString();
         }
      } catch (IOException var12) {
      }

      return amh.getMessage("defaultcontent");
   }

   public synchronized boolean action(Event var1, Object var2) {
      if (!(var1.target instanceof Button)) {
         return false;
      } else if (amh.getMessage("button.reject").equals(((Button)var1.target).getLabel())) {
         System.exit(1);
         return true;
      } else if (amh.getMessage("button.accept").equals(((Button)var1.target).getLabel())) {
         ((Frame)this).dispose();
         this.notify();
         Properties var3 = System.getProperties();
         ((Hashtable)var3).put("appletviewer.version", AppletViewer.theVersion);

         try {
            FileOutputStream var4 = new FileOutputStream(AppletViewer.theUserPropertiesFile);
            var3.save(var4, "AppletViewer");
            var4.close();
         } catch (IOException var5) {
         }

         return true;
      } else {
         return false;
      }
   }

   public synchronized void waitForUser() {
      try {
         this.wait();
      } catch (InterruptedException var1) {
      }
   }
}
