package sun.applet;

import java.applet.Applet;
import java.applet.AppletContext;
import java.applet.AudioClip;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dialog;
import java.awt.Dimension;
import java.awt.FileDialog;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Insets;
import java.awt.Label;
import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;
import java.awt.Point;
import java.awt.PrintJob;
import java.awt.Toolkit;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectOutputStream;
import java.io.PrintStream;
import java.io.Reader;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.Enumeration;
import java.util.EventObject;
import java.util.Hashtable;
import java.util.Properties;
import java.util.Vector;

public class AppletViewer extends Frame implements AppletContext {
   public static String theVersion = "1.1";
   private static String defaultSaveFile = "Applet.ser";
   public static File theUserPropertiesFile;
   public static File theAppletViewerPropsFile;
   AppletViewerPanel panel;
   Label label;
   PrintStream statusMsgStream;
   AppletViewerFactory factory;
   static Vector appletPanels;
   static Hashtable systemParam;
   static AppletProps props;
   // $FF: renamed from: c int
   static int field_0;
   // $FF: renamed from: x int
   static int field_1;
   // $FF: renamed from: y int
   static int field_2;
   static String encoding;
   static boolean didInitialize;
   private static AppletMessageHandler amh;

   public AppletViewer(int var1, int var2, URL var3, Hashtable var4, PrintStream var5, AppletViewerFactory var6) {
      this.factory = var6;
      this.statusMsgStream = var5;
      ((Frame)this).setTitle(amh.getMessage("tool.title", var4.get("code")));
      MenuBar var7 = var6.getBaseMenuBar();
      Menu var8 = new Menu(amh.getMessage("menu.applet"));
      this.addMenuItem(var8, "menuitem.restart");
      this.addMenuItem(var8, "menuitem.reload");
      this.addMenuItem(var8, "menuitem.stop");
      this.addMenuItem(var8, "menuitem.save");
      this.addMenuItem(var8, "menuitem.start");
      this.addMenuItem(var8, "menuitem.clone");
      var8.add(new MenuItem("-"));
      this.addMenuItem(var8, "menuitem.tag");
      this.addMenuItem(var8, "menuitem.info");
      this.addMenuItem(var8, "menuitem.edit").disable();
      this.addMenuItem(var8, "menuitem.encoding");
      var8.add(new MenuItem("-"));
      this.addMenuItem(var8, "menuitem.print");
      var8.add(new MenuItem("-"));
      this.addMenuItem(var8, "menuitem.props");
      var8.add(new MenuItem("-"));
      this.addMenuItem(var8, "menuitem.close");
      if (var6.isStandalone()) {
         this.addMenuItem(var8, "menuitem.quit");
      }

      var7.add(var8);
      ((Frame)this).setMenuBar(var7);
      ((Container)this).add("Center", this.panel = new AppletViewerPanel(var3, var4));
      ((Container)this).add("South", this.label = new Label(amh.getMessage("label.hello")));
      this.panel.init();
      appletPanels.addElement(this.panel);
      ((Window)this).pack();
      ((Component)this).setVisible(true);
      1 var9 = new 1(this);
      ((Window)this).addWindowListener(var9);
      this.panel.addAppletListener(new 1.AppletEventListener(this));
      this.showStatus(amh.getMessage("status.start"));
      this.panel.sendEvent(1);
      this.panel.sendEvent(2);
      this.panel.sendEvent(3);
   }

   public MenuItem addMenuItem(Menu var1, String var2) {
      MenuItem var3 = new MenuItem(amh.getMessage(var2));
      var3.addActionListener(new UserActionListener(this));
      return var1.add(var3);
   }

   public AudioClip getAudioClip(URL var1) {
      return AppletResourceLoader.getAudioClip(var1);
   }

   public Image getImage(URL var1) {
      return AppletResourceLoader.getImage(var1);
   }

   public Applet getApplet(String var1) {
      AppletSecurity var2 = (AppletSecurity)System.getSecurityManager();
      var1 = var1.toLowerCase();
      Enumeration var3 = appletPanels.elements();

      while(var3.hasMoreElements()) {
         AppletPanel var4 = (AppletPanel)var3.nextElement();
         String var5 = var4.getParameter("name");
         if (var5 != null) {
            var5 = var5.toLowerCase();
         }

         if (var1.equals(var5) && var4.getDocumentBase().equals(this.panel.getDocumentBase())) {
            try {
               var2.checkConnect(this.panel.getCodeBase().getHost(), var4.getCodeBase().getHost());
               return var4.applet;
            } catch (SecurityException var6) {
            }
         }
      }

      return null;
   }

   public Enumeration getApplets() {
      AppletSecurity var1 = (AppletSecurity)System.getSecurityManager();
      Vector var2 = new Vector();
      Enumeration var3 = appletPanels.elements();

      while(var3.hasMoreElements()) {
         AppletPanel var4 = (AppletPanel)var3.nextElement();
         if (var4.getDocumentBase().equals(this.panel.getDocumentBase())) {
            try {
               var1.checkConnect(this.panel.getCodeBase().getHost(), var4.getCodeBase().getHost());
               var2.addElement(var4.applet);
            } catch (SecurityException var5) {
            }
         }
      }

      return var2.elements();
   }

   public void showDocument(URL var1) {
   }

   public void showDocument(URL var1, String var2) {
   }

   public void showStatus(String var1) {
      this.label.setText(var1);
   }

   public static void printTag(PrintStream var0, Hashtable var1) {
      var0.print("<applet");
      String var2 = (String)var1.get("codebase");
      if (var2 != null) {
         var0.print(" codebase=\"" + var2 + "\"");
      }

      var2 = (String)var1.get("code");
      if (var2 == null) {
         var2 = "applet.class";
      }

      var0.print(" code=\"" + var2 + "\"");
      var2 = (String)var1.get("width");
      if (var2 == null) {
         var2 = "150";
      }

      var0.print(" width=" + var2);
      var2 = (String)var1.get("height");
      if (var2 == null) {
         var2 = "100";
      }

      var0.print(" height=" + var2);
      var2 = (String)var1.get("name");
      if (var2 != null) {
         var0.print(" name=\"" + var2 + "\"");
      }

      var0.println(">");
      int var3 = var1.size();
      String[] var4 = new String[var3];
      var3 = 0;

      for(Enumeration var5 = var1.keys(); var5.hasMoreElements(); ++var3) {
         String var6 = (String)var5.nextElement();

         int var7;
         for(var7 = 0; var7 < var3 && var4[var7].compareTo(var6) < 0; ++var7) {
         }

         System.arraycopy(var4, var7, var4, var7 + 1, var3 - var7);
         var4[var7] = var6;
      }

      for(int var13 = 0; var13 < var3; ++var13) {
         String var14 = var4[var13];
         if (systemParam.get(var14) == null) {
            var0.println("<param name=" + var14 + " value=\"" + var1.get(var14) + "\">");
         }
      }

      var0.println("</applet>");
   }

   public void updateAtts() {
      Dimension var1 = this.panel.size();
      Insets var2 = this.panel.insets();
      this.panel.atts.put("width", (new Integer(var1.width - (var2.left + var2.right))).toString());
      this.panel.atts.put("height", (new Integer(var1.height - (var2.top + var2.bottom))).toString());
   }

   void appletRestart() {
      this.panel.sendEvent(4);
      this.panel.sendEvent(5);
      this.panel.sendEvent(2);
      this.panel.sendEvent(3);
   }

   void appletReload() {
      this.panel.sendEvent(4);
      this.panel.sendEvent(5);
      this.panel.sendEvent(0);
      AppletPanel.flushClassLoader(this.panel.baseURL);
      this.panel.sendEvent(1);
      this.panel.sendEvent(2);
      this.panel.sendEvent(3);
   }

   void appletSave() {
      FileDialog var1 = new FileDialog(this, "Serialize Applet into File", 1);
      var1.setDirectory(System.getProperty("user.dir"));
      var1.setFile(defaultSaveFile);
      ((Dialog)var1).show();
      String var2 = var1.getFile();
      if (var2 != null) {
         String var3 = var1.getDirectory();
         File var4 = new File(var3, var2);

         try {
            FileOutputStream var5 = new FileOutputStream(var4);
            ObjectOutputStream var6 = new ObjectOutputStream(var5);
            this.showStatus(amh.getMessage("appletsave.err1", this.panel.applet.toString(), var4.toString()));
            var6.writeObject(this.panel.applet);
         } catch (IOException var7) {
            System.err.println(amh.getMessage("appletsave.err2", var7));
         }
      }
   }

   void appletClone() {
      Point var1 = ((Component)this).location();
      this.updateAtts();
      this.factory.createAppletViewer(var1.x + 30, var1.y + 10, this.panel.documentURL, (Hashtable)this.panel.atts.clone());
   }

   void appletTag() {
      ByteArrayOutputStream var1 = new ByteArrayOutputStream();
      this.updateAtts();
      printTag(new PrintStream(var1), this.panel.atts);
      this.showStatus(amh.getMessage("applettag"));
      Point var2 = ((Component)this).location();
      new TextFrame(var2.x + 50, var2.y + 20, amh.getMessage("applettag.textframe"), var1.toString());
   }

   void appletInfo() {
      String var1 = this.panel.applet.getAppletInfo();
      if (var1 == null) {
         var1 = amh.getMessage("appletinfo.applet");
      }

      var1 = var1 + "\n\n";
      String[][] var2 = this.panel.applet.getParameterInfo();
      if (var2 != null) {
         for(int var3 = 0; var3 < var2.length; ++var3) {
            var1 = var1 + var2[var3][0] + " -- " + var2[var3][1] + " -- " + var2[var3][2] + "\n";
         }
      } else {
         var1 = var1 + amh.getMessage("appletinfo.param");
      }

      Point var5 = ((Component)this).location();
      new TextFrame(var5.x + 50, var5.y + 20, amh.getMessage("appletinfo.textframe"), var1);
   }

   void appletCharacterEncoding() {
      this.showStatus(amh.getMessage("appletencoding", encoding));
   }

   void appletEdit() {
   }

   void appletPrint() {
      PrintJob var1 = Toolkit.getDefaultToolkit().getPrintJob(this, amh.getMessage("appletprint.printjob"), (Properties)null);
      if (var1 != null) {
         var1.getPageDimension();
         var1.getPageResolution();
         var1.lastPageFirst();
         Graphics var2 = var1.getGraphics();
         if (var2 != null) {
            this.panel.applet.printComponents(var2);
            var2.dispose();
         } else {
            this.statusMsgStream.println(amh.getMessage("appletprint.fail"));
         }

         this.statusMsgStream.println(amh.getMessage("appletprint.finish"));
         var1.end();
      } else {
         this.statusMsgStream.println(amh.getMessage("appletprint.cancel"));
      }
   }

   public static synchronized void networkProperties() {
      if (props == null) {
         props = new AppletProps();
      }

      props.addNotify();
      props.setVisible(true);
   }

   void appletStart() {
      this.panel.sendEvent(3);
   }

   void appletStop() {
      this.panel.sendEvent(4);
   }

   private void appletShutdown(AppletPanel var1) {
      var1.sendEvent(4);
      var1.sendEvent(5);
      var1.sendEvent(0);
      var1.sendEvent(6);

      try {
         var1.getAppletHandlerThread().join(5000L);
      } catch (InterruptedException var2) {
      }
   }

   void appletClose() {
      this.appletShutdown(this.panel);
      appletPanels.removeElement(this.panel);
      ((Frame)this).dispose();
      if (countApplets() == 0) {
         this.appletSystemExit();
      }

   }

   private void appletSystemExit() {
      if (this.factory.isStandalone()) {
         System.exit(0);
      }

   }

   protected void appletQuit() {
      Enumeration var1 = appletPanels.elements();

      while(var1.hasMoreElements()) {
         AppletPanel var2 = (AppletPanel)var1.nextElement();
         this.appletShutdown(var2);
      }

      this.appletSystemExit();
   }

   public void processUserAction(ActionEvent var1) {
      String var2 = ((MenuItem)((EventObject)var1).getSource()).getLabel();
      if (amh.getMessage("menuitem.restart").equals(var2)) {
         this.appletRestart();
      } else if (amh.getMessage("menuitem.reload").equals(var2)) {
         this.appletReload();
      } else if (amh.getMessage("menuitem.clone").equals(var2)) {
         this.appletClone();
      } else if (amh.getMessage("menuitem.stop").equals(var2)) {
         this.appletStop();
      } else if (amh.getMessage("menuitem.save").equals(var2)) {
         this.appletSave();
      } else if (amh.getMessage("menuitem.start").equals(var2)) {
         this.appletStart();
      } else if (amh.getMessage("menuitem.tag").equals(var2)) {
         this.appletTag();
      } else if (amh.getMessage("menuitem.info").equals(var2)) {
         this.appletInfo();
      } else if (amh.getMessage("menuitem.encoding").equals(var2)) {
         this.appletCharacterEncoding();
      } else if (amh.getMessage("menuitem.edit").equals(var2)) {
         this.appletEdit();
      } else if (amh.getMessage("menuitem.print").equals(var2)) {
         this.appletPrint();
      } else if (amh.getMessage("menuitem.props").equals(var2)) {
         networkProperties();
      } else if (amh.getMessage("menuitem.close").equals(var2)) {
         this.appletClose();
      } else if (this.factory.isStandalone() && amh.getMessage("menuitem.quit").equals(var2)) {
         this.appletQuit();
      }
   }

   public static int countApplets() {
      return appletPanels.size();
   }

   public static void init() {
      Properties var0 = new Properties(System.getProperties());
      ((Hashtable)var0).put("acl.read", "+");
      ((Hashtable)var0).put("acl.read.default", "");
      ((Hashtable)var0).put("acl.write", "+");
      ((Hashtable)var0).put("acl.write.default", "");
      ((Hashtable)var0).put("browser", "sun.applet.AppletViewer");
      ((Hashtable)var0).put("browser.version", "1.06");
      ((Hashtable)var0).put("browser.vendor", "Sun Microsystems Inc.");
      ((Hashtable)var0).put("http.agent", "JDK/" + theVersion);
      ((Hashtable)var0).put("firewallSet", "true");
      ((Hashtable)var0).put("firewallHost", "sunweb.ebay");
      ((Hashtable)var0).put("firewallPort", "80");
      ((Hashtable)var0).put("package.restrict.access.sun", "true");
      ((Hashtable)var0).put("package.restrict.access.netscape", "true");
      ((Hashtable)var0).put("package.restrict.definition.java", "true");
      ((Hashtable)var0).put("package.restrict.definition.sun", "true");
      ((Hashtable)var0).put("package.restrict.definition.netscape", "true");
      ((Hashtable)var0).put("java.version.applet", "true");
      ((Hashtable)var0).put("java.vendor.applet", "true");
      ((Hashtable)var0).put("java.vendor.url.applet", "true");
      ((Hashtable)var0).put("java.class.version.applet", "true");
      ((Hashtable)var0).put("os.name.applet", "true");
      ((Hashtable)var0).put("os.version.applet", "true");
      ((Hashtable)var0).put("os.arch.applet", "true");
      ((Hashtable)var0).put("file.separator.applet", "true");
      ((Hashtable)var0).put("path.separator.applet", "true");
      ((Hashtable)var0).put("line.separator.applet", "true");
      var0 = new Properties(var0);

      try {
         FileInputStream var1 = new FileInputStream(theAppletViewerPropsFile);
         var0.load(new BufferedInputStream(var1));
         var1.close();
      } catch (Exception var3) {
         System.out.println(amh.getMessage("init.err"));
      }

      try {
         FileInputStream var5 = new FileInputStream(theUserPropertiesFile);
         var0.load(new BufferedInputStream(var5));
         var5.close();
      } catch (Exception var2) {
      }

      System.setProperties(var0);
      System.setSecurityManager(new AppletSecurity());
   }

   public static void skipSpace(Reader var0) throws IOException {
      while(field_0 >= 0 && (field_0 == 32 || field_0 == 9 || field_0 == 10 || field_0 == 13)) {
         field_0 = var0.read();
      }

   }

   public static String scanIdentifier(Reader var0) throws IOException {
      StringBuffer var1;
      for(var1 = new StringBuffer(); field_0 >= 97 && field_0 <= 122 || field_0 >= 65 && field_0 <= 90 || field_0 >= 48 && field_0 <= 57 || field_0 == 95; field_0 = var0.read()) {
         var1.append((char)field_0);
      }

      return var1.toString();
   }

   public static Hashtable scanTag(Reader var0) throws IOException {
      Hashtable var1 = new Hashtable();
      skipSpace(var0);

      while(field_0 >= 0 && field_0 != 62) {
         String var2 = scanIdentifier(var0);
         String var3 = "";
         skipSpace(var0);
         if (field_0 == 61) {
            int var4 = -1;
            field_0 = var0.read();
            skipSpace(var0);
            if (field_0 == 39 || field_0 == 34) {
               var4 = field_0;
               field_0 = var0.read();
            }

            StringBuffer var5;
            for(var5 = new StringBuffer(); field_0 > 0 && (var4 < 0 && field_0 != 32 && field_0 != 9 && field_0 != 10 && field_0 != 13 && field_0 != 62 || var4 >= 0 && field_0 != var4); field_0 = var0.read()) {
               var5.append((char)field_0);
            }

            if (field_0 == var4) {
               field_0 = var0.read();
            }

            skipSpace(var0);
            var3 = var5.toString();
         }

         var1.put(var2.toLowerCase(), var3);
         skipSpace(var0);
      }

      return var1;
   }

   private static Reader makeReader(InputStream var0) {
      if (encoding != null) {
         try {
            return new BufferedReader(new InputStreamReader(var0, encoding));
         } catch (IOException var2) {
         }
      }

      InputStreamReader var1 = new InputStreamReader(var0);
      encoding = var1.getEncoding();
      return new BufferedReader(var1);
   }

   public static void parse(URL var0) throws IOException {
      parse(var0, System.out, new StdAppletViewerFactory());
   }

   public static void parse(URL var0, PrintStream var1, AppletViewerFactory var2) throws IOException {
      String var3 = amh.getMessage("parse.warning.requiresname");
      String var4 = amh.getMessage("parse.warning.paramoutside");
      String var5 = amh.getMessage("parse.warning.requirescode");
      String var6 = amh.getMessage("parse.warning.requiresheight");
      String var7 = amh.getMessage("parse.warning.requireswidth");
      String var8 = amh.getMessage("parse.warning.appnotLongersupported");
      URLConnection var9 = var0.openConnection();
      Reader var10 = makeReader(var9.getInputStream());
      var0 = var9.getURL();
      Hashtable var11 = null;

      while(true) {
         field_0 = var10.read();
         if (field_0 == -1) {
            var10.close();
            return;
         }

         if (field_0 == 60) {
            field_0 = var10.read();
            if (field_0 == 47) {
               field_0 = var10.read();
               String var19 = scanIdentifier(var10);
               if (var19.equalsIgnoreCase("applet")) {
                  if (var11 != null) {
                     var2.createAppletViewer(field_1, field_2, var0, var11);
                     field_1 += 50;
                     field_2 += 20;
                     Dimension var21 = Toolkit.getDefaultToolkit().getScreenSize();
                     if (field_1 > var21.width - 30) {
                        field_1 = 100;
                     }

                     if (field_2 > var21.height - 30) {
                        field_2 = 50;
                     }
                  }

                  var11 = null;
               }
            } else {
               String var12 = scanIdentifier(var10);
               if (var12.equalsIgnoreCase("param")) {
                  Hashtable var20 = scanTag(var10);
                  String var14 = (String)var20.get("name");
                  if (var14 == null) {
                     var1.println(var3);
                  } else {
                     String var15 = (String)var20.get("value");
                     if (var15 == null) {
                        var1.println(var3);
                     } else if (var11 != null) {
                        var11.put(var14.toLowerCase(), var15);
                     } else {
                        var1.println(var4);
                     }
                  }
               } else if (var12.equalsIgnoreCase("applet")) {
                  var11 = scanTag(var10);
                  if (var11.get("code") == null && var11.get("object") == null) {
                     var1.println(var5);
                     var11 = null;
                  } else if (var11.get("width") == null) {
                     var1.println(var7);
                     var11 = null;
                  } else if (var11.get("height") == null) {
                     var1.println(var6);
                     var11 = null;
                  }
               } else if (var12.equalsIgnoreCase("app")) {
                  var1.println(var8);
                  Hashtable var13 = scanTag(var10);
                  var12 = (String)var13.get("class");
                  if (var12 != null) {
                     var13.remove("class");
                     var13.put("code", var12 + ".class");
                  }

                  var12 = (String)var13.get("src");
                  if (var12 != null) {
                     var13.remove("src");
                     var13.put("codebase", var12);
                  }

                  if (var13.get("width") == null) {
                     var13.put("width", "100");
                  }

                  if (var13.get("height") == null) {
                     var13.put("height", "100");
                  }

                  printTag(var1, var13);
                  var1.println();
               }
            }
         }
      }
   }

   static void usage() {
      System.out.println(amh.getMessage("usage"));
   }

   public static void mainInit() {
      if (!didInitialize) {
         didInitialize = true;
         init();
         if (!theVersion.equals(System.getProperty("appletviewer.version"))) {
            (new AppletCopyright()).waitForUser();
         }
      }

   }

   public static void main(String[] var0) {
      mainInit();
      if (var0.length == 0) {
         System.out.println(amh.getMessage("main.err.inputfile"));
         usage();
      } else {
         for(int var1 = 0; var1 < var0.length; ++var1) {
            try {
               URL var2 = null;
               if (var0[var1].equals("-encoding")) {
                  if (var1 + 1 < var0.length) {
                     ++var1;
                     encoding = var0[var1];
                     continue;
                  }

                  usage();
                  System.exit(1);
               } else if (var0[var1].indexOf(58) <= 1) {
                  String var3 = System.getProperty("user.dir");
                  String var4;
                  if (var3.charAt(0) != '/' && var3.charAt(0) != File.separatorChar) {
                     var4 = "file:/";
                  } else {
                     var4 = "file:";
                  }

                  var2 = new URL(var4 + var3.replace(File.separatorChar, '/') + "/");
                  var2 = new URL(var2, var0[var1]);
               } else {
                  var2 = new URL(var0[var1]);
               }

               parse(var2);
            } catch (MalformedURLException var5) {
               System.out.println(amh.getMessage("main.err.badurl", var0[var1], ((Throwable)var5).getMessage()));
               System.exit(1);
            } catch (IOException var6) {
               System.out.println(amh.getMessage("main.err.io", ((Throwable)var6).getMessage()));
               if (var0[var1].indexOf(58) < 0) {
                  System.out.println(amh.getMessage("main.err.readablefile", var0[var1]));
               } else {
                  System.out.println(amh.getMessage("main.err.correcturl", var0[var1]));
               }

               System.exit(1);
            }
         }

         if (countApplets() == 0) {
            System.out.println(amh.getMessage("main.warning"));
            usage();
            System.exit(1);
         }

      }
   }

   static {
      String var0 = File.separator;
      File var1 = new File(System.getProperty("user.home"));
      File var2 = new File(var1, ".hotjava");
      var2.mkdirs();
      theUserPropertiesFile = new File(var2, "properties");
      File var3 = new File(System.getProperty("java.home"));
      theAppletViewerPropsFile = new File(var3, "lib" + var0 + "appletviewer.properties");
      appletPanels = new Vector();
      systemParam = new Hashtable();
      systemParam.put("codebase", "codebase");
      systemParam.put("code", "code");
      systemParam.put("alt", "alt");
      systemParam.put("width", "width");
      systemParam.put("height", "height");
      systemParam.put("align", "align");
      systemParam.put("vspace", "vspace");
      systemParam.put("hspace", "hspace");
      field_1 = 100;
      field_2 = 50;
      encoding = null;
      amh = new AppletMessageHandler("appletviewer");
   }
}
